<script setup lang="ts">
import {useAuthStore} from "../stores/useAuthStore";
import {definePageMeta, useErrorStore} from "../.nuxt/imports";
import {navigateTo} from "nuxt/app";

definePageMeta({
    middleware: ['guest']
})

const form = ref({
email: "test@example.com",
password: "password"
})

const errorStore = useErrorStore();

const auth = useAuthStore();

async function handleLogin() {
    try {
        const {error} = await auth.login(form.value)
        if(!error.value){
            navigateTo('/admin')
        } else {
            errorStore.setError(error.value)
        }
    } catch(error){
        if (error) {
            errorStore.setError(error || 'An error occurred');
        }
    }
}
</script>
<template>
  <div>
    <form @submit.prevent="handleLogin">
      <label>Email</label>
      <input
        v-model="form.email"
        type="email"
      >
      <label>Password</label>
      <input
        v-model="form.password "
        type="password"
      >
      <button>Login</button>
    </form>
  </div>
</template>

<style scoped></style>
